org.keycloak.saml.common.constants

## Interface WSTrustConstants.WSSE

- Enclosing interface:
    WSTrustConstants

      public static interface WSTrustConstants.WSSE

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BINARY_SECURITY_TOKEN`
    `static String` | `ENCODING_TYPE`
    `static String` | `ID`
    `static String` | `KERBEROS`
    `static String` | `KEY_IDENTIFIER`
    `static String` | `KEY_IDENTIFIER_VALUETYPE_SAML`
    `static String` | `PREFIX`
    `static String` | `PREFIX_11`
    `static String` | `REFERENCE`
    `static String` | `SECURITY_TOKEN_REFERENCE`
    `static String` | `URI`
    `static String` | `USERNAME_TOKEN`
    `static String` | `VALUE_TYPE`

- - ### Field Detail

    - #### ID

          static final String ID

      See Also:
        Constant Field Values

    - #### KEY_IDENTIFIER

          static final String KEY_IDENTIFIER

      See Also:
        Constant Field Values

    - #### KEY_IDENTIFIER_VALUETYPE_SAML

          static final String KEY_IDENTIFIER_VALUETYPE_SAML

      See Also:
        Constant Field Values

    - #### REFERENCE

          static final String REFERENCE

      See Also:
        Constant Field Values

    - #### PREFIX

          static final String PREFIX

      See Also:
        Constant Field Values

    - #### PREFIX_11

          static final String PREFIX_11

      See Also:
        Constant Field Values

    - #### KERBEROS

          static final String KERBEROS

      See Also:
        Constant Field Values

    - #### SECURITY_TOKEN_REFERENCE

          static final String SECURITY_TOKEN_REFERENCE

      See Also:
        Constant Field Values

    - #### BINARY_SECURITY_TOKEN

          static final String BINARY_SECURITY_TOKEN

      See Also:
        Constant Field Values

    - #### USERNAME_TOKEN

          static final String USERNAME_TOKEN

      See Also:
        Constant Field Values

    - #### URI

          static final String URI

      See Also:
        Constant Field Values

    - #### VALUE_TYPE

          static final String VALUE_TYPE

      See Also:
        Constant Field Values

    - #### ENCODING_TYPE

          static final String ENCODING_TYPE

      See Also:
        Constant Field Values

Copyright © 2021 JBoss by Red Hat. All rights reserved.